{% extends 'accountent/base.html' %}
{% load i18n %}

{% block page_name %}Import Bank Statement: Dry Run{% endblock %}
{% block page_description %}Let's check the data looks ok{% endblock %}

{% block form_action %}
{% if not result %}
{% url 'accountent:bank_import_dry_run' transaction_import.uuid %}
{% else %}
{% url 'accountent:bank_import_execute' transaction_import.uuid %}
{% endif %}
{% endblock form_action %}

{% block header_button %}
{% if not result %}
{% block form_content %}
<input type="submit" value="Check the data..." class="btn btn-primary pull-right">
{% endblock %}
{% else %}
{% block action_form %}
<input type="submit" value="Begin import" class="btn btn-primary pull-right">
{% endblock %}
{% endif %}
{% endblock header_button %}


{% block content %}
    {% if result %}
        {% block info_boxes %}
            {% include 'accountent/statement_import/_import_info_boxes.html' with result=result only %}
        {% endblock %}

        {% block errors %}
            {% include 'accountent/statement_import/_import_errors.html' with result=result only %}
        {% endblock %}
    {% else %}
    <div class="error">
        <div class="error__content">
            <h2>{% trans "Everything looks good" %}</h2>
            <h3>{% trans "Let's check the data" %}</h3>
            <p>{% trans "Click the button to continue." %}</p>
        </div>
    </div>
    {% endif %}
{% endblock %}